Skip to content

# Interface: SelectProps ‹T›

## Type parameters

▪ T

## Hierarchy

- Props‹T›

- CreatableProps‹T›

↳ SelectProps

## Index

### Properties

- allowCreateWhileLoading
- aria-label
- aria-labelledby
- autoConvertOptions
- autoFocus
- backspaceRemovesValue
- blurInputOnSelect
- captureMenuScroll
- className
- classNamePrefix
- closeMenuOnScroll
- closeMenuOnSelect
- components
- controlShouldRenderValue
- createOptionPosition
- defaultInputValue
- defaultMenuIsOpen
- defaultValue
- delimiter
- escapeClearsValue
- filterOption
- formatCreateLabel
- formatGroupLabel
- formatOptionLabel
- getNewOptionData
- getOptionLabel
- getOptionValue
- hideSelectedOptions
- id
- inputId
- inputValue
- instanceId
- isClearable
- isCreatable
- isDisabled
- isLoading
- isMulti
- isOptionDisabled
- isOptionSelected
- isRtl
- isSearchable
- isValidNewOption
- loadingMessage
- maxMenuHeight
- menuClass
- menuIsOpen
- menuPlacement
- menuPortalTarget
- menuPosition
- menuShouldBlockScroll
- menuShouldScrollIntoView
- minMenuHeight
- name
- noOptionsMessage
- onBlur
- onCreateOption
- onFocus
- onInputChange
- onKeyDown
- onMenuClose
- onMenuOpen
- onMenuScrollToBottom
- onMenuScrollToTop
- openMenuOnClick
- openMenuOnFocus
- options
- pageSize
- placeholder
- screenReaderStatus
- styles
- tabIndex
- tabSelectsValue
- theme
- themeName
- value

### Methods

- onChange

## Properties

### `Optional` allowCreateWhileLoading

• allowCreateWhileLoading? : boolean

Inherited from SelectProps.allowCreateWhileLoading

Defined in node_modules/@types/react-select/src/Creatable.d.ts:11

### `Optional` aria-label

• aria-label? : string

Inherited from SelectProps.aria-label

Defined in node_modules/@types/react-select/src/Select.d.ts:58

### `Optional` aria-labelledby

• aria-labelledby? : string

Inherited from SelectProps.aria-labelledby

Defined in node_modules/@types/react-select/src/Select.d.ts:60

### `Optional` autoConvertOptions

• autoConvertOptions? : boolean

Defined in src/renderer/components/select/select.tsx:30

### `Optional` autoFocus

• autoFocus? : boolean

Inherited from SelectProps.autoFocus

Defined in node_modules/@types/react-select/src/Select.d.ts:62

### `Optional` backspaceRemovesValue

• backspaceRemovesValue? : boolean

Inherited from SelectProps.backspaceRemovesValue

Defined in node_modules/@types/react-select/src/Select.d.ts:64

### `Optional` blurInputOnSelect

• blurInputOnSelect? : boolean

Inherited from SelectProps.blurInputOnSelect

Defined in node_modules/@types/react-select/src/Select.d.ts:66

### `Optional` captureMenuScroll

• captureMenuScroll? : boolean

Inherited from SelectProps.captureMenuScroll

Defined in node_modules/@types/react-select/src/Select.d.ts:68

### `Optional` className

• className? : string

Inherited from SelectProps.className

Defined in node_modules/@types/react-select/src/Select.d.ts:70

### `Optional` classNamePrefix

• classNamePrefix? : string | null

Inherited from SelectProps.classNamePrefix

Defined in node_modules/@types/react-select/src/Select.d.ts:72

### `Optional` closeMenuOnScroll

• closeMenuOnScroll? : boolean | EventListener

Inherited from SelectProps.closeMenuOnScroll

Defined in node_modules/@types/react-select/src/Select.d.ts:87

### `Optional` closeMenuOnSelect

• closeMenuOnSelect? : boolean

Inherited from SelectProps.closeMenuOnSelect

Defined in node_modules/@types/react-select/src/Select.d.ts:74

### `Optional` components

• components? : SelectComponentsConfig‹T›

Inherited from SelectProps.components

Defined in node_modules/@types/react-select/src/Select.d.ts:97

### `Optional` controlShouldRenderValue

• controlShouldRenderValue? : boolean

Inherited from SelectProps.controlShouldRenderValue

Defined in node_modules/@types/react-select/src/Select.d.ts:99

### `Optional` createOptionPosition

• createOptionPosition? : "first" | "last"

Inherited from SelectProps.createOptionPosition

Defined in node_modules/@types/react-select/src/Creatable.d.ts:26

### `Optional` defaultInputValue

• defaultInputValue? : string

Inherited from SelectProps.defaultInputValue

Defined in node_modules/@types/react-select/src/Select.d.ts:207

### `Optional` defaultMenuIsOpen

• defaultMenuIsOpen? : boolean

Inherited from SelectProps.defaultMenuIsOpen

Defined in node_modules/@types/react-select/src/Select.d.ts:208

### `Optional` defaultValue

• defaultValue? : ValueType‹T›

Inherited from SelectProps.defaultValue

Defined in node_modules/@types/react-select/src/Select.d.ts:209

### `Optional` delimiter

• delimiter? : string

Inherited from SelectProps.delimiter

Defined in node_modules/@types/react-select/src/Select.d.ts:101

### `Optional` escapeClearsValue

• escapeClearsValue? : boolean

Inherited from SelectProps.escapeClearsValue

Defined in node_modules/@types/react-select/src/Select.d.ts:103

### `Optional` filterOption

• filterOption? : function | null

Inherited from SelectProps.filterOption

Defined in node_modules/@types/react-select/src/Select.d.ts:105

### `Optional` formatCreateLabel

• formatCreateLabel? : function

Inherited from SelectProps.formatCreateLabel

Defined in node_modules/@types/react-select/src/Creatable.d.ts:14

#### Type declaration:

▸ (`inputValue`: string): React.ReactNode

Parameters:

Name | Type
--- | ---
`inputValue` | string

### `Optional` formatGroupLabel

• formatGroupLabel? : formatGroupLabel‹T›

Inherited from SelectProps.formatGroupLabel

Defined in node_modules/@types/react-select/src/Select.d.ts:110

### `Optional` formatOptionLabel

• formatOptionLabel? : function

Inherited from SelectProps.formatOptionLabel

Defined in node_modules/@types/react-select/src/Select.d.ts:112

#### Type declaration:

▸ (`option`: T, `labelMeta`: FormatOptionLabelMeta‹T›): React.ReactNode

Parameters:

Name | Type
--- | ---
`option` | T
`labelMeta` | FormatOptionLabelMeta‹T›

### `Optional` getNewOptionData

• getNewOptionData? : function

Inherited from SelectProps.getNewOptionData

Defined in node_modules/@types/react-select/src/Creatable.d.ts:20

#### Type declaration:

▸ (`inputValue`: string, `optionLabel`: React.ReactNode): T

Parameters:

Name | Type
--- | ---
`inputValue` | string
`optionLabel` | React.ReactNode

### `Optional` getOptionLabel

• getOptionLabel? : getOptionLabel‹T›

Inherited from SelectProps.getOptionLabel

Defined in node_modules/@types/react-select/src/Select.d.ts:114

### `Optional` getOptionValue

• getOptionValue? : getOptionValue‹T›

Inherited from SelectProps.getOptionValue

Defined in node_modules/@types/react-select/src/Select.d.ts:116

### `Optional` hideSelectedOptions

• hideSelectedOptions? : boolean

Inherited from SelectProps.hideSelectedOptions

Defined in node_modules/@types/react-select/src/Select.d.ts:118

### `Optional` id

• id? : string

Inherited from SelectProps.id

Defined in node_modules/@types/react-select/src/Select.d.ts:120

### `Optional` inputId

• inputId? : string

Inherited from SelectProps.inputId

Defined in node_modules/@types/react-select/src/Select.d.ts:124

### `Optional` inputValue

• inputValue? : string

Inherited from SelectProps.inputValue

Defined in node_modules/@types/react-select/src/Select.d.ts:122

### `Optional` instanceId

• instanceId? : number | string

Inherited from SelectProps.instanceId

Defined in node_modules/@types/react-select/src/Select.d.ts:126

### `Optional` isClearable

• isClearable? : boolean

Inherited from SelectProps.isClearable

Defined in node_modules/@types/react-select/src/Select.d.ts:128

### `Optional` isCreatable

• isCreatable? : boolean

Defined in src/renderer/components/select/select.tsx:29

### `Optional` isDisabled

• isDisabled? : boolean

Inherited from SelectProps.isDisabled

Defined in node_modules/@types/react-select/src/Select.d.ts:130

### `Optional` isLoading

• isLoading? : boolean

Inherited from SelectProps.isLoading

Defined in node_modules/@types/react-select/src/Select.d.ts:132

### `Optional` isMulti

• isMulti? : boolean

Inherited from SelectProps.isMulti

Defined in node_modules/@types/react-select/src/Select.d.ts:138

### `Optional` isOptionDisabled

• isOptionDisabled? : function

Inherited from SelectProps.isOptionDisabled

Defined in node_modules/@types/react-select/src/Select.d.ts:134

#### Type declaration:

▸ (`option`: T, `options`: OptionsType‹T›): boolean | false

Parameters:

Name | Type
--- | ---
`option` | T
`options` | OptionsType‹T›

### `Optional` isOptionSelected

• isOptionSelected? : function

Inherited from SelectProps.isOptionSelected

Defined in node_modules/@types/react-select/src/Select.d.ts:136

#### Type declaration:

▸ (`option`: T, `options`: OptionsType‹T›): boolean

Parameters:

Name | Type
--- | ---
`option` | T
`options` | OptionsType‹T›

### `Optional` isRtl

• isRtl? : boolean

Inherited from SelectProps.isRtl

Defined in node_modules/@types/react-select/src/Select.d.ts:140

### `Optional` isSearchable

• isSearchable? : boolean

Inherited from SelectProps.isSearchable

Defined in node_modules/@types/react-select/src/Select.d.ts:142

### `Optional` isValidNewOption

• isValidNewOption? : function

Inherited from SelectProps.isValidNewOption

Defined in node_modules/@types/react-select/src/Creatable.d.ts:17

#### Type declaration:

▸ (`inputValue`: string, `value`: ValueType‹T›, `options`: OptionsType‹T›): boolean

Parameters:

Name | Type
--- | ---
`inputValue` | string
`value` | ValueType‹T›
`options` | OptionsType‹T›

### `Optional` loadingMessage

• loadingMessage? : function

Inherited from SelectProps.loadingMessage

Defined in node_modules/@types/react-select/src/Select.d.ts:144

#### Type declaration:

▸ (`obj`: object): string | null

Parameters:

▪ obj: object

Name | Type
--- | ---
`inputValue` | string

### `Optional` maxMenuHeight

• maxMenuHeight? : number

Inherited from SelectProps.maxMenuHeight

Defined in node_modules/@types/react-select/src/Select.d.ts:148

### `Optional` menuClass

• menuClass? : string

Defined in src/renderer/components/select/select.tsx:28

### `Optional` menuIsOpen

• menuIsOpen? : boolean

Inherited from SelectProps.menuIsOpen

Defined in node_modules/@types/react-select/src/Select.d.ts:150

### `Optional` menuPlacement

• menuPlacement? : MenuPlacement

Inherited from SelectProps.menuPlacement

Defined in node_modules/@types/react-select/src/Select.d.ts:153

### `Optional` menuPortalTarget

• menuPortalTarget? : HTMLElement | null

Inherited from SelectProps.menuPortalTarget

Defined in node_modules/@types/react-select/src/Select.d.ts:157

### `Optional` menuPosition

• menuPosition? : MenuPosition

Inherited from SelectProps.menuPosition

Defined in node_modules/@types/react-select/src/Select.d.ts:155

### `Optional` menuShouldBlockScroll

• menuShouldBlockScroll? : boolean

Inherited from SelectProps.menuShouldBlockScroll

Defined in node_modules/@types/react-select/src/Select.d.ts:159

### `Optional` menuShouldScrollIntoView

• menuShouldScrollIntoView? : boolean

Inherited from SelectProps.menuShouldScrollIntoView

Defined in node_modules/@types/react-select/src/Select.d.ts:161

### `Optional` minMenuHeight

• minMenuHeight? : number

Inherited from SelectProps.minMenuHeight

Defined in node_modules/@types/react-select/src/Select.d.ts:146

### `Optional` name

• name? : string

Inherited from SelectProps.name

Defined in node_modules/@types/react-select/src/Select.d.ts:163

### `Optional` noOptionsMessage

• noOptionsMessage? : function

Inherited from SelectProps.noOptionsMessage

Defined in node_modules/@types/react-select/src/Select.d.ts:165

#### Type declaration:

▸ (`obj`: object): string | null

Parameters:

▪ obj: object

Name | Type
--- | ---
`inputValue` | string

### `Optional` onBlur

• onBlur? : FocusEventHandler

Inherited from SelectProps.onBlur

Defined in node_modules/@types/react-select/src/Select.d.ts:167

### `Optional` onCreateOption

• onCreateOption? : function

Inherited from SelectProps.onCreateOption

Defined in node_modules/@types/react-select/src/Creatable.d.ts:24

#### Type declaration:

▸ (`inputValue`: string): void

Parameters:

Name | Type
--- | ---
`inputValue` | string

### `Optional` onFocus

• onFocus? : FocusEventHandler

Inherited from SelectProps.onFocus

Defined in node_modules/@types/react-select/src/Select.d.ts:171

### `Optional` onInputChange

• onInputChange? : function

Inherited from SelectProps.onInputChange

Defined in node_modules/@types/react-select/src/Select.d.ts:173

#### Type declaration:

▸ (`newValue`: string, `actionMeta`: InputActionMeta): void

Parameters:

Name | Type
--- | ---
`newValue` | string
`actionMeta` | InputActionMeta

### `Optional` onKeyDown

• onKeyDown? : KeyboardEventHandler

Inherited from SelectProps.onKeyDown

Defined in node_modules/@types/react-select/src/Select.d.ts:175

### `Optional` onMenuClose

• onMenuClose? : function

Inherited from SelectProps.onMenuClose

Defined in node_modules/@types/react-select/src/Select.d.ts:179

#### Type declaration:

▸ (): void

### `Optional` onMenuOpen

• onMenuOpen? : function

Inherited from SelectProps.onMenuOpen

Defined in node_modules/@types/react-select/src/Select.d.ts:177

#### Type declaration:

▸ (): void

### `Optional` onMenuScrollToBottom

• onMenuScrollToBottom? : function

Inherited from SelectProps.onMenuScrollToBottom

Defined in node_modules/@types/react-select/src/Select.d.ts:183

#### Type declaration:

▸ (`event`: SyntheticEvent‹HTMLElement›): void

Parameters:

Name | Type
--- | ---
`event` | SyntheticEvent‹HTMLElement›

### `Optional` onMenuScrollToTop

• onMenuScrollToTop? : function

Inherited from SelectProps.onMenuScrollToTop

Defined in node_modules/@types/react-select/src/Select.d.ts:181

#### Type declaration:

▸ (`event`: SyntheticEvent‹HTMLElement›): void

Parameters:

Name | Type
--- | ---
`event` | SyntheticEvent‹HTMLElement›

### `Optional` openMenuOnClick

• openMenuOnClick? : boolean

Inherited from SelectProps.openMenuOnClick

Defined in node_modules/@types/react-select/src/Select.d.ts:187

### `Optional` openMenuOnFocus

• openMenuOnFocus? : boolean

Inherited from SelectProps.openMenuOnFocus

Defined in node_modules/@types/react-select/src/Select.d.ts:185

### `Optional` options

• options? : GroupedOptionsType‹T› | OptionsType‹T›

Inherited from SelectProps.options

Defined in node_modules/@types/react-select/src/Select.d.ts:189

### `Optional` pageSize

• pageSize? : number

Inherited from SelectProps.pageSize

Defined in node_modules/@types/react-select/src/Select.d.ts:191

### `Optional` placeholder

• placeholder? : React.ReactNode

Inherited from SelectProps.placeholder

Defined in node_modules/@types/react-select/src/Select.d.ts:193

### `Optional` screenReaderStatus

• screenReaderStatus? : function

Inherited from SelectProps.screenReaderStatus

Defined in node_modules/@types/react-select/src/Select.d.ts:195

#### Type declaration:

▸ (`obj`: object): string

Parameters:

▪ obj: object

Name | Type
--- | ---
`count` | number

### `Optional` styles

• styles? : StylesConfig

Inherited from SelectProps.styles

Defined in node_modules/@types/react-select/src/Select.d.ts:197

### `Optional` tabIndex

• tabIndex? : string | null

Inherited from SelectProps.tabIndex

Defined in node_modules/@types/react-select/src/Select.d.ts:201

### `Optional` tabSelectsValue

• tabSelectsValue? : boolean

Inherited from SelectProps.tabSelectsValue

Defined in node_modules/@types/react-select/src/Select.d.ts:203

### `Optional` theme

• theme? : ThemeConfig

Inherited from SelectProps.theme

Defined in node_modules/@types/react-select/src/Select.d.ts:199

### `Optional` themeName

• themeName? : "dark" | "light" | "outlined"

Defined in src/renderer/components/select/select.tsx:27

### `Optional` value

• value? : T

Overrides void

Defined in src/renderer/components/select/select.tsx:26

## Methods

### `Optional` onChange

▸ onChange(`option`: T, `meta?`: ActionMeta‹any›): void

Overrides void

Defined in src/renderer/components/select/select.tsx:31

Parameters:

Name | Type
--- | ---
`option` | T
`meta?` | ActionMeta‹any›

Returns: void